import 'package:sfm_app/product/constant/icon/icon_constants.dart';
import 'package:sfm_app/product/constant/lang/language_constants.dart';

class Language {
  final int id;
  final String imgageIcon;
  final String name;
  final String languageCode;

  Language(this.id, this.imgageIcon, this.name, this.languageCode);

  static List<Language> languages() {
    return <Language>[
      Language(1, IconConstants.instance.getIcon("vi_icon"), "vn", LanguageConstants.VIETNAM),
      Language(2, IconConstants.instance.getIcon("en_icon"), "en", LanguageConstants.VIETNAM),
    ];
  }
}
